type: gene_score
filename: pRec.csv
scores:
  - id: pRec
    desc: Probability of biallelic loss-of-function intolerance
    histogram:
      type: number
      number_of_bins: 126
      view_range:
        min: 0
        max: 1
      x_min_log: 0.00001
      x_log_scale: true
      y_log_scale: true
  - id: pRec_rank
    desc: Gene rank after sorting by pRec intolerance score
    histogram:
      type: number
      number_of_bins: 150
      view_range:
        min: 1
        max: 18225
      x_log_scale: false
      y_log_scale: false


meta:
  summary: |
    Probability of recessive LoF sensitivity

  description: |
    
    The probability of being recessive (pRec) estimates how likely a gene is tolerant to heterozygous loss-of-function (LoF) but intolerant to biallelic LoF mutations. Genes with high pRec values are typically associated with recessive inheritance, where both alleles must be disrupted for disease to occur. The score is derived from observed versus expected homozygous LoF variants in population-scale datasets such as ExAC and gnomAD.
    
    [Lek et al., Analysis of protein-coding genetic variation in 60,706 humans, Nature 2016](https://www.nature.com/articles/nature19057)

    Downloaded on: 10/24/25

    Dataprep.py takes the pRec column from Supplementary Table 13 "Gene Constraint" sheet and adds a pRec_rank column.